package com.adc.da.vdaims.config;

import com.adc.da.vdaims.service.ISyxySerialNumberEOService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;

/**
 * 初始化加载纸张编号
 */
@Component
public class SerialNumberInitializing implements ApplicationRunner {

    @Autowired
    private ISyxySerialNumberEOService syxySerialNumberEOService;

    @Override
    public void run(ApplicationArguments applicationArguments) {
        syxySerialNumberEOService.initSerialNumber();
    }
}
